identifier: GMS-2018-10
title: Denial of Service and remote code execution
description: Functions in Lodash ( merge, mergeWith, defaultsDeep) can modify the
  prototype of "Object" if given malicious data. This can lead to denial of service
  or remote code execution.
date: "2018-02-13"
affected_range: <4.17.5
fixed_versions:
- 4.17.5
affected_versions: Prior to 4.17.5
solution: Upgrade to latest version.
credit: HoLyVieR
urls:
- https://github.com/lodash/lodash/commit/d8e069cc3410082e44eb18fcf8e7f3d08ebe1d4a
- https://hackerone.com/reports/310443
package_slug: npm/lodash
uuid: 46774bb9-9ce5-4ffe-9bc8-4e610d24df43
